# Create proof request

Creates a proof request.

Endpoint: POST /sheets/{sheetId}/proofs/{proofId}/requests
Version: 2.0.0
Security: APIToken, OAuth2

## Path parameters:

  - `sheetId` (number, required)
    ID of the sheet being accessed.

  - `proofId` (string, required)
    ID of the original proof.

## Header parameters:

  - `Authorization` (string)
    API Access Token used to authenticate requests to Smartsheet APIs.

  - `smartsheet-integration-source` (string)
    Uses the following metadata to distinguish between human-initiated API requests and third-party service-initiated calls by AI Connectors or ITSM:

- Integration source type
- Organization name
- Integration source name 

Format:


TYPE,OrgName,SourceName


Examples: 

AI,SampleOrg,My-AI-Connector-v2

SCRIPT,SampleOrg2,Accounting-updater-script

APPLICATION,SampleOrg3,SheetUpdater
    Example: "AI,SampleOrg,My-AI-Connector-v2"

  - `Content-Type` (string)
    Required for POST and PUT requests. Defines the structure for the request body.

## Request fields (application/json):

  - `isDownloadable` (boolean)
    Whether the description is downloadable.

  - `ccMe` (boolean)
    Indicates whether to send a copy of the email to the sender.

  - `message` (string)
    The message of the email.

  - `sendTo` (array)
    Array of recipients.

  - `subject` (string)
    The subject of the email.

## Response 200 fields (application/json):

  - `message` (string)
    Message that indicates the outcome of the request. (One of SUCCESS or PARTIAL_SUCCESS.)
    Enum: "PARTIAL_SUCCESS", "SUCCESS"

  - `resultCode` (number)
    * '0' Success
* '3' Partial Success of Bulk Operation
    Enum: 0, 3

  - `result` (object)

  - `result.id` (number)
    Proof request ID.

  - `result.proofId` (number)
    Proof ID of the original proof.

  - `result.sentBy` (object)
    User object containing name and email of the sender.

  - `result.sentBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `result.sentBy.name` (string)
    Example: "Jane Doe"

  - `result.sentAt` (any)

  - `result.isDownloadable` (boolean)
    Indicates whether the description is downloadable.

  - `result.status` (string)
    Proof request status.
    Enum: "ACTIVE", "EXPIRED", "PROOF_DELETED"

  - `result.ccMe` (boolean)
    Indicates whether to send a copy of the email to the sender.

  - `result.message` (string)
    The message of the email.

  - `result.sendTo` (array)
    Array of recipients.

  - `result.subject` (string)
    The subject of the email.


